Package com.xebialabs.xlrelease.events

# Class TaskReopenOperation$

java.lang.Object
scala.runtime.AbstractFunction1<Task,TaskReopenOperation>
com.xebialabs.xlrelease.events.TaskReopenOperation$

All Implemented Interfaces:
  `Serializable`, `scala.Function1<Task,TaskReopenOperation>`

public class TaskReopenOperation$ extends scala.runtime.AbstractFunction1<Task,TaskReopenOperation> implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface scala.Function1

  `scala.Function1.UnliftOps<A,B>, scala.Function1.UnliftOps$`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TaskReopenOperation$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskReopenOperation$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskReopenOperation`
  `apply(Task task)`
  `final String`
  `toString()`
  `scala.Option<Task>`
  `unapply(TaskReopenOperation x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction1

  `andThen, apply$mcDD$sp, apply$mcDF$sp, apply$mcDI$sp, apply$mcDJ$sp, apply$mcFD$sp, apply$mcFF$sp, apply$mcFI$sp, apply$mcFJ$sp, apply$mcID$sp, apply$mcIF$sp, apply$mcII$sp, apply$mcIJ$sp, apply$mcJD$sp, apply$mcJF$sp, apply$mcJI$sp, apply$mcJJ$sp, apply$mcVD$sp, apply$mcVF$sp, apply$mcVI$sp, apply$mcVJ$sp, apply$mcZD$sp, apply$mcZF$sp, apply$mcZI$sp, apply$mcZJ$sp, compose`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final TaskReopenOperation$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### TaskReopenOperation$

    public TaskReopenOperation$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function1<Task,TaskReopenOperation>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction1<Task,TaskReopenOperation>`

  - ### apply

    public TaskReopenOperation apply(Task task)
    Specified by:
      `apply` in interface `scala.Function1<Task,TaskReopenOperation>`

  - ### unapply

    public scala.Option<Task> unapply(TaskReopenOperation x$0)